# Uses of Class
org.apache.lucene.geo.Line

Packages that use Line
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.

- ## Uses of Line in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type Line
  Modifier and Type
  Method
  Description
  `static LatLonShapeDocValuesField`
  LatLonShape.`createDocValueField(String fieldName, Line line)`
  create doc value field for lat lon line geometry without creating indexable fields.
  `static Field[]`
  LatLonShape.`createIndexableFields(String fieldName, Line line)`
  create indexable fields for line geometry
  `static Query`
  LatLonShape.`newLineQuery(String field, ShapeField.QueryRelation queryRelation, Line... lines)`
  create a query to find all indexed geo shapes that intersect a provided linestring (or array of linestrings) note: does not support dateline crossing